# Class NetworkRequestTimeoutError

#### Hierarchy

- NetworkError
  - NetworkRequestTimeoutError

#####
Index

### Constructors

constructor

### Properties

category
code
requestType
uri

## Constructors

### constructor

- new NetworkRequestTimeoutError(uri, requestType): NetworkRequestTimeoutError

- #### Parameters

  - uri: string
  - requestType: RequestType

  #### Returns NetworkRequestTimeoutError

  Inherited from NetworkError.constructor

## Properties

### `Readonly` category

category: Network = ErrorCategory.Network

Inherited from NetworkError.category

### `Readonly` code

code: NetworkRequestTimeout = ErrorCode.NetworkRequestTimeout

Overrides NetworkError.code

### `Readonly` requestType

requestType: RequestType

Inherited from NetworkError.requestType

### `Readonly` uri

uri: string

Inherited from NetworkError.uri